import http from '../http'

export default {
  pageAptitudeItem: data =>
    http.post('/v1/aptitude/page', data).then(res => res),
  deleteById: id => http.delete('/v1/aptitude/delete/' + id).then(res => res),
  pageCatalogueItem: data =>
    http.post('/v1/aptitude/page-catalogue-item', data).then(res => res),
  pageForCatalogue: data =>
    http.post('/v1/aptitude/page-for-catalogue', data).then(res => res),
  getById: id => http.get('/v1/aptitude/' + id).then(res => res),
  edit: data =>
    http.put('/v1/aptitude?id=' + data.id, data.obj).then(res => res),
  add: data => http.post('/v1/aptitude/', data).then(res => res)
}
